#include "xgfxtexture.h"

#include "xd3dbasetexture.h"

XGfxTexture::XGfxTexture()
    : XAsset()
    , mBaseMap()
    , mMap()
    , mVolMap()
    , mCubeMap()
    , mLoadDef()
{
    
}

XGfxTexture::~XGfxTexture()
{
    
}

void XGfxTexture::ParseData(QDataStream *aStream)
{
    
}

void XGfxTexture::Clear()
{
    
}
